<%--<!--
 ~ Copyright (c) 2005-2010, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 ~
 ~ WSO2 Inc. licenses this file to you under the Apache License,
 ~ Version 2.0 (the "License"); you may not use this file except
 ~ in compliance with the License.
 ~ You may obtain a copy of the License at
 ~
 ~    http://www.apache.org/licenses/LICENSE-2.0
 ~
 ~ Unless required by applicable law or agreed to in writing,
 ~ software distributed under the License is distributed on an
 ~ "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 ~ KIND, either express or implied.  See the License for the
 ~ specific language governing permissions and limitations
 ~ under the License.
 -->--%>
<%@ page import="org.wso2.carbon.ui.CarbonUIUtil" %>
<%@ page import="org.apache.axis2.context.ConfigurationContext" %>
<%@ page import="org.wso2.carbon.CarbonConstants" %>
<%@ page import="org.wso2.carbon.utils.ServerConstants" %>
<%@ page import="org.wso2.carbon.dashboard.mgt.theme.ui.ThemeMgtService" %>
<%@ page import="org.wso2.carbon.dashboard.mgt.theme.ui.GSThemeMgtClient" %>
<%@ page import="org.wso2.carbon.dashboard.mgt.theme.ui.types.carbon.Theme" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib uri="http://wso2.org/projects/carbon/taglibs/carbontags.jar"
           prefix="carbon" %>
<jsp:include page="../dialog/display_messages.jsp"/>
<%
    String loggeduser = (String) request.getSession().getAttribute("logged-user");

    String backendServerURL = CarbonUIUtil.getServerURL(config
            .getServletContext(), session);
    ConfigurationContext configContext = (ConfigurationContext) config
            .getServletContext().getAttribute(
                    CarbonConstants.CONFIGURATION_CONTEXT);
    String cookie = (String) session
            .getAttribute(ServerConstants.ADMIN_SERVICE_COOKIE);

    GSThemeMgtClient client;

    client = new GSThemeMgtClient(cookie, backendServerURL, configContext, request.getLocale());

    String rootContext = configContext.getContextRoot();
    if("/".equals(rootContext)){
        rootContext = "";
    }

    Theme[] themes = client.getThemes(loggeduser);

    String defaultThemePath = client.getDefaultThemeForUser(loggeduser);
    if (defaultThemePath == null) {
        defaultThemePath = "";
    }
%>
<fmt:bundle
        basename="org.wso2.carbon.dashboard.mgt.theme.ui.resource.i18n.Resources">
    <carbon:breadcrumb label="page.title"
                       resourceBundle="org.wso2.carbon.dashboard.mgt.theme.ui.resource.i18n.Resources"
                       topPage="false" request="<%=request%>"/>
    <script type="text/javascript" src="javascript/jquery-1.3.2.js"></script>
    <script type="text/javascript" src="../ajax/js/prototype.js"></script>
    <script type="text/javascript">
        sessionAwareFunction();
        function activateTheme(path, id) {
            var resp = jQuery.ajax({
                url: 'thememgt-ajaxprocessor.jsp?func=actTheme&themePath=' + path,
                async: false
            }).responseText;
            jQuery('.theme-table').css('background-color', '#FFFFFF');
            jQuery('#theme-' + id).css('background-color', '#F4F4F4');

            jQuery('.selec').attr("disabled", false);
            jQuery('#but-' + id).attr("disabled", true);

        }
    </script>

    <div id="middle">
        <h2><fmt:message key="page.title"/></h2>

        <div id="workArea">
            <a href="themeupload.jsp" style="float:right;">Upload Theme</a><br/><br/>
            <form action="_self" method="get">
                <table class="styledLeft">
                    <thead>
                    <tr>
                        <th colspan="2">Select Default Theme</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr>
                        <td class="formRow">
                            <table class="normal">
                                <tbody>
                                <tr>
                                    <td>
                                                <% if (themes.length != 0) {
                                            for (int i = 0; i < themes.length; i++) {%>
                                                <%if(defaultThemePath.contains(themes[i].getCssUrl())) {%>
                                        <table id="theme-<%=i%>" class="theme-table"
                                               style="background-color:#F4F4F4">
                                                    <% } else{%>
                                            <table id="theme-<%=i%>" class="theme-table">
                                                <% } %>

                                                <tr>
                                                    <td><img
                                                            src="<%=rootContext%>/gs/resource/_system/config<%=themes[i].getThumbUrl()%>"
                                                            alt="Thumb"></td>
                                                    <td>
                                                        <table>
                                                            <tr>
                                                                <td width="100px">Theme Name</td>
                                                                <td>:</td>
                                                                <td><%=themes[i].getThemeName()%>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td width="100px">Author Name</td>
                                                                <td>:</td>
                                                                <td><%=themes[i].getThemeAuthor()%>
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td width="100px">Description</td>
                                                                <td>:</td>
                                                                <td><%=themes[i].getThemeDesc()%>
                                                                </td>
                                                            </tr>
                                                        </table>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <%if (defaultThemePath.contains(themes[i].getCssUrl())) {%>
                                                    <td><input type="button" value="Activate"
                                                               id="but-<%=i%>"
                                                               class="button selec" disabled="true"
                                                               onclick="javascript:activateTheme('<%=themes[i].getCssUrl()%>', '<%=i%>')">
                                                    </td>
                                                    <% } else {%>
                                                    <td><input type="button" value="Activate"
                                                               class="button" id="but-<%=i%>"
                                                               onclick="javascript:activateTheme('<%=themes[i].getCssUrl()%>', '<%=i%>')">
                                                    </td>
                                                    <%}%>
                                                </tr>
                                            </table>
                                                    <%
                                                }
                                            }
                                        %>
                                            </td>
                                            </tr>
                                            <tr>

                                            </tr>
                                </tbody>
                            </table>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </form>
        </div>
    </div>
</fmt:bundle>